co.aikar.commands

## Class SpongeMessageFormatter

- java.lang.Object
- - co.aikar.commands.MessageFormatter<org.spongepowered.api.text.format.TextColor>
  - - co.aikar.commands.SpongeMessageFormatter

    public class SpongeMessageFormatter
    extends co.aikar.commands.MessageFormatter<org.spongepowered.api.text.format.TextColor>

### Constructor Summary

Constructors
Constructor and Description
`SpongeMessageFormatter(org.spongepowered.api.text.format.TextColor... colors)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `format(org.spongepowered.api.text.format.TextColor color, String message)`

### Methods inherited from class co.aikar.commands.MessageFormatter

`format, format, getColor, getDefaultColor, setColor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SpongeMessageFormatter

    public SpongeMessageFormatter(org.spongepowered.api.text.format.TextColor... colors)

### Method Detail

#### format

    public String format(org.spongepowered.api.text.format.TextColor color,
                         String message)

Specified by:
  `format` in class `co.aikar.commands.MessageFormatter<org.spongepowered.api.text.format.TextColor>`